Bug 119037 - FILESAVE DOCX Some paragraph border styles not saved
Summary: FILESAVE DOCX Some paragraph border styles not saved
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.4.0 release
Hardware: All All
: medium normal
Assignee: Justin L
URL:
Whiteboard: target:6.2.0 target:7.0.0
Keywords: filter:docx
Depends on:
Blocks: DOCX-Paragraph
  Show dependency treegraph
 
Reported: 2018-08-01 12:25 UTC by Gabor Kelemen (allotropia)
Modified: 2020-04-07 19:48 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Example file with all LO-supported border styles (12.00 KB, application/vnd.oasis.opendocument.text)
2018-08-01 12:25 UTC, Gabor Kelemen (allotropia)
Details
The same file saved by LO 6.2alpha (4.43 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2018-08-01 12:27 UTC, Gabor Kelemen (allotropia)
Details
Screenshot of the odt and docx in current Writer master (82.29 KB, image/png)
2018-08-01 12:28 UTC, Gabor Kelemen (allotropia)
Details
The same file saved to doc by LO 6.2 alpha (11.00 KB, application/msword)
2018-08-01 12:28 UTC, Gabor Kelemen (allotropia)
Details
Screenshot of the doc export and the odt in current LO 6.2master (84.16 KB, image/png)
2018-08-01 12:30 UTC, Gabor Kelemen (allotropia)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Gabor Kelemen (allotropia) 2018-08-01 12:25:32 UTC
Created attachment 143884 [details]
Example file with all LO-supported border styles

Writer currently supports a few paragraph border styles, but some of them cannot be saved to docx.

Attached odt has all of the currently supported styles, compare this with the docx export and see that some of them are not saved at all.
Comment 1 Gabor Kelemen (allotropia) 2018-08-01 12:27:24 UTC
Created attachment 143885 [details]
The same file saved by LO 6.2alpha

Version: 6.2.0.0.alpha0+
Build ID: 921f285c7ff713ad219d3e3385d7e7d12d33581e
CPU threads: 4; OS: Windows 6.3; UI render: default; 
Locale: hu-HU (hu_HU); Calc: CL
Comment 2 Gabor Kelemen (allotropia) 2018-08-01 12:28:04 UTC
Created attachment 143886 [details]
Screenshot of the odt and docx in current Writer master
Comment 3 Gabor Kelemen (allotropia) 2018-08-01 12:28:38 UTC
Created attachment 143887 [details]
The same file saved to doc by LO 6.2 alpha
Comment 4 Gabor Kelemen (allotropia) 2018-08-01 12:30:34 UTC
Created attachment 143888 [details]
Screenshot of the doc export and the odt in current LO 6.2master

Interestingly the doc export fails only for one border style instead of three.
Comment 5 Buovjaga 2018-09-01 16:04:48 UTC
Repro.

Does MSO/DOCX support these styles natively, then?

Arch Linux 64-bit
Version: 6.2.0.0.alpha0+
Build ID: 1c59d021b3dd27c8c0255312bd0d53ad25965bab
CPU threads: 8; OS: Linux 4.18; UI render: default; VCL: gtk3_kde5; 
Locale: fi-FI (fi_FI.UTF-8); Calc: threaded
Built on September 1st 2018
Comment 6 Justin L 2018-09-26 12:15:19 UTC
proposed fixes at
https://gerrit.libreoffice.org/60991 tdf#119037 doc/x export: output new borderlines
and https://gerrit.libreoffice.org/60992 tdf#119037 rtf (im/ex)port: new borderlines
Comment 7 Commit Notification 2018-09-26 19:20:39 UTC
Justin Luth committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d55615f6c5f8adcb7157358a95329ceb1f9f7685

tdf#119037 doc/x export: new borderlines

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2018-09-27 04:22:26 UTC
Justin Luth committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=32ffb7b875ee229744f0b880a32817e948ff10a4

tdf#119037 rtf (im/ex)port: new borderlines

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Justin L 2018-09-27 04:34:55 UTC
Even at high zoom levels some of these borders are hard to see (or even disappear), and seem somewhat inconsistent, but I think I verified the import and export of every style properly.
Comment 10 Cor Nouws 2018-09-27 12:48:34 UTC
"new" borderlines (from 2012, 2014) > version 3.4 must be more realistic then.
Thanks for noticing .. & fixing :)
Comment 11 Commit Notification 2020-04-07 19:48:14 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/e282a84d041232d62a49e67587f73634b536fe9a

tdf#119037: Add unittest

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.